export default {
  nodes: [
    {
      label: '全局节点',
      name: 'global',
      nodes: [
        {
          name: 'start',
          id: 'start',
          label: '开始',
          type: 'global',
          icon: 'flow-start',
          isStartNode: true,
          attrsData: {}
        },
        {
          name: 'end',
          id: 'end',
          label: '结束',
          type: 'global',
          icon: 'flow-end',
          isStartNode: false,
          attrsData: {}
        }
      ]
    },
    {
      label: '逻辑&控制',
      name: 'logic-control',
      nodes: [
        {
          name: 'sql',
          id: 'sql',
          label: 'SQL',
          type: 'logic',
          icon: 'flow-sql',
          isStartNode: false,
          attrsData: {}
        },
        {
          name: 'expression',
          id: 'expression',
          label: '表达式',
          type: 'logic',
          icon: 'flow-expression',
          isStartNode: false,
          attrsData: {}
        },
        {
          name: 'branch',
          id: 'branch',
          label: '分支',
          type: 'branch',
          icon: 'flow-if',
          isStartNode: false,
          attrsData: {}
        },
        {
          name: 'subprocess',
          id: 'subprocess',
          label: '子流程',
          type: 'logic',
          icon: 'tool-subprocess',
          isStartNode: false,
          attrsData: {}
        }
        // {
        //   name: 'logic',
        //   id: 'logic',
        //   label: '逻辑',
        //   type: 'logic',
        //   icon: 'flow-logic',
        //   isStartNode: false,
        //   attrsData: {}
        // }
      ]
    },
    {
      label: '数据处理',
      name: 'data-processing',
      nodes: [
        {
          name: 'foreach',
          id: 'foreach',
          label: '循环',
          type: 'data-processing',
          icon: 'flow-foreach',
          isStartNode: false,
          attrsData: {}
        },
        {
          name: 'action',
          id: 'action',
          label: '业务行为',
          type: 'data-processing',
          icon: 'flow-action',
          isStartNode: false,
          attrsData: {}
        },
        {
          name: 'function',
          id: 'function',
          label: '函数',
          type: 'data-processing',
          icon: 'flow-function',
          isStartNode: false,
          attrsData: {}
        },
        {
          name: 'polymerization',
          id: 'polymerization',
          label: '数据聚合',
          type: 'data-processing',
          icon: 'flow-polymerization',
          isStartNode: false,
          attrsData: {}
        },
        {
          name: 'http',
          id: 'http',
          label: 'HTTP接口',
          type: 'data-processing',
          icon: 'flow-http',
          isStartNode: false,
          attrsData: {}
        }
      ]
    }
  ]
};
